Name:           gv
Version:        3.7.3
Release:        %mkrel 4
Summary:        An enhanced front-end for the ghostscript PostScript(TM) interpreter
License:        GPLv3
Group:          Publishing
URL:            http://www.gnu.org/software/gv/
# old source: ftp://thep.physik.uni-mainz.de/pub/gv/unix/%%{name}-%%{version}.tar.bz2
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source11:       %{name}.png
Patch6:         gv-3.6.3-gvuncompress.patch
BuildRequires:  imagemagick
BuildRequires:  libx11-devel
BuildRequires:  xaw3d-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxmu-devel
BuildRequires:  libxt-devel
BuildRequires:  texinfo
Requires:       ghostscript
Requires:       ghostscript-module-X

%description
Gv provides a user interface for the ghostscript PostScript(TM)
interpreter.  Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.

Install the gv package if you'd like to view PostScript and PDF documents
on your system.  You'll also need to have the ghostscript package
installed, as well as the X Window System.


%prep
%setup -q
%patch6 -p1 -b .gvuncompress

%build
# force regeneration of file
rm -f src/gv_intern_res_unix.dat

%configure2_5x \
                --with-scratch-dir=~/tmp/ \
                --enable-scrollbar-code
%make

%install
%makeinstall_std
install -m 0755 gvuncompress %{buildroot}%{_bindir}/gvuncompress

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m644 %{SOURCE11} -D %{buildroot}%{_liconsdir}/gv.png
convert -geometry 32x32 %{SOURCE11} %{buildroot}%{_iconsdir}/gv.png
convert -geometry 16x16 %{SOURCE11} %{buildroot}%{_miconsdir}/gv.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=gv
Comment=Viewer for Postscript and PDF files
Exec=%{_bindir}/gv %f
Icon=gv
Terminal=false
Type=Application
Categories=Office;Viewer;
EOF

%post
%_install_info gv.info

%preun
%_remove_install_info gv.info

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_infodir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.7.3-4.mga3
+ Revision: 353054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 27 2012 eatdirt <eatdirt> 3.7.3-3.mga2
+ Revision: 233520
- Add missing Requires to ghostscript (bug #5648)

* Sun Jan 22 2012 kamil <kamil> 3.7.3-2.mga2
+ Revision: 199570
- rebuild against renamed xaw3d
- clean .spec

* Tue Dec 06 2011 obgr_seneca <obgr_seneca> 3.7.3-1.mga2
+ Revision: 177914
- removed uneeded obsoletes and provides for ghostview

  + eatdirt <eatdirt>
    - Upgrade to 3.7.3, fix invalid license GPL -> GPLv3

  + fwang <fwang>
    - new version 3.7.2

* Wed Mar 02 2011 dmorgan <dmorgan> 3.7.1-2.mga1
+ Revision: 62443
- Remove mdv macros
- imported package gv

